# abstract class YAML::Nodes::Node

- YAML::Nodes::Node
- Reference
- Object

##
Overview

Abstract class of all YAML tree nodes.

##
Direct Known Subclasses

- YAML::Nodes::Alias
- YAML::Nodes::Document
- YAML::Nodes::Mapping
- YAML::Nodes::Scalar
- YAML::Nodes::Sequence

##
Defined in:

##
Instance Method Summary

- #anchor : String?

  The optional anchor of a node.

- #anchor=(anchor : String?)

  The optional anchor of a node.

- #end_column : Int32

  The column where this node ends.

- #end_column=(end_column)

  The column where this node ends.

- #end_line : Int32

  The line where this node ends.

- #end_line=(end_line)

  The line where this node ends.

- #location : Tuple(Int32, Int32)

  Returns a tuple of `#start_line` and `#start_column`.

- #raise(message)

  Raises a `YAML::ParseException` with the given message located at this node's `#location`.

- #start_column : Int32

  The column where this node starts.

- #start_column=(start_column)

  The column where this node starts.

- #start_line : Int32

  The line where this node starts.

- #start_line=(start_line)

  The line where this node starts.

- #tag : String?

  The optional tag of a node.

- #tag=(tag : String?)

  The optional tag of a node.

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, __crystal_pseudo_! : Bool __crystal_pseudo_!, __crystal_pseudo_as(type : Class) __crystal_pseudo_as, __crystal_pseudo_as?(type : Class) __crystal_pseudo_as?, __crystal_pseudo_is_a?(type : Class) : Bool __crystal_pseudo_is_a?, __crystal_pseudo_nil? : Bool __crystal_pseudo_nil?, __crystal_pseudo_responds_to?(name : Symbol) : Bool __crystal_pseudo_responds_to?, class class, dup dup, hash(hasher)
hash hash, inspect : String
inspect(io : IO) : Nil inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Instance Method Detail

def anchor : String? #

The optional anchor of a node.

def anchor=(anchor : String?) #

The optional anchor of a node.

def end_column : Int32 #

The column where this node ends.

def end_column=(end_column) #

The column where this node ends.

def end_line : Int32 #

The line where this node ends.

def end_line=(end_line) #

The line where this node ends.

def location : Tuple(Int32, Int32) #

Returns a tuple of `#start_line` and `#start_column`.

def raise(message) #

Raises a `YAML::ParseException` with the given message located at this node's `#location`.

def start_column : Int32 #

The column where this node starts.

def start_column=(start_column) #

The column where this node starts.

def start_line : Int32 #

The line where this node starts.

def start_line=(start_line) #

The line where this node starts.

def tag : String? #

The optional tag of a node.

def tag=(tag : String?) #

The optional tag of a node.